Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Beta5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.runtime.manager.impl
Class RuntimeEnvironmentBuilder

    java.lang.Object
      org.jbpm.runtime.manager.impl.RuntimeEnvironmentBuilder

    public class RuntimeEnvironmentBuilder

extends Object

Builder implementation that follows fluent approach to build `RuntimeEnvironments`. Comes with short cut methods to get predefined configurations of the `RuntimeEnvironment`:

- getDefault() - returns preconfigured environment with enabled persistence
- getefaultInMemory() - returns preconfigured environment with disabled persistence for runtime engine
- getEmpty() - completely empty environment for self configuration

Constructor Summary
`RuntimeEnvironmentBuilder()`

Method Summary
`RuntimeEnvironmentBuilder` | `addAsset(Resource asset, ResourceType type)`
`RuntimeEnvironmentBuilder` | `addConfiguration(String name, String value)`
`RuntimeEnvironmentBuilder` | `addEnvironmentEntry(String name, Object value)`
`RuntimeEnvironmentBuilder` | `classLoader(ClassLoader cl)`
`RuntimeEnvironmentBuilder` | `entityManagerFactory(javax.persistence.EntityManagerFactory emf)`
`org.kie.internal.runtime.manager.RuntimeEnvironment` | `get()`
`static RuntimeEnvironmentBuilder` | `getDefault()`
`static RuntimeEnvironmentBuilder` | `getDefaultInMemory()`
`static RuntimeEnvironmentBuilder` | `getEmpty()`
`RuntimeEnvironmentBuilder` | `knowledgeBase(KieBase kbase)`
`RuntimeEnvironmentBuilder` | `mapper(org.kie.internal.runtime.manager.Mapper mapper)`
`RuntimeEnvironmentBuilder` | `persistence(boolean persistenceEnabled)`
`RuntimeEnvironmentBuilder` | `registerableItemsFactory(org.kie.internal.runtime.manager.RegisterableItemsFactory factory)`
`RuntimeEnvironmentBuilder` | `schedulerService(GlobalSchedulerService globalScheduler)`
`RuntimeEnvironmentBuilder` | `userGroupCallback(org.kie.internal.task.api.UserGroupCallback callback)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RuntimeEnvironmentBuilder

    public RuntimeEnvironmentBuilder()

Method Detail

### getEmpty

    public static RuntimeEnvironmentBuilder getEmpty()

### getDefault

    public static RuntimeEnvironmentBuilder getDefault()

### getDefaultInMemory

    public static RuntimeEnvironmentBuilder getDefaultInMemory()

### persistence

    public RuntimeEnvironmentBuilder persistence(boolean persistenceEnabled)

### entityManagerFactory

    public RuntimeEnvironmentBuilder entityManagerFactory(javax.persistence.EntityManagerFactory emf)

### addAsset

    public RuntimeEnvironmentBuilder addAsset(Resource asset,
                                              ResourceType type)

### addEnvironmentEntry

    public RuntimeEnvironmentBuilder addEnvironmentEntry(String name,
                                                         Object value)

### addConfiguration

    public RuntimeEnvironmentBuilder addConfiguration(String name,
                                                      String value)

### knowledgeBase

    public RuntimeEnvironmentBuilder knowledgeBase(KieBase kbase)

### userGroupCallback

    public RuntimeEnvironmentBuilder userGroupCallback(org.kie.internal.task.api.UserGroupCallback callback)

### mapper

    public RuntimeEnvironmentBuilder mapper(org.kie.internal.runtime.manager.Mapper mapper)

### registerableItemsFactory

    public RuntimeEnvironmentBuilder registerableItemsFactory(org.kie.internal.runtime.manager.RegisterableItemsFactory factory)

### get

    public org.kie.internal.runtime.manager.RuntimeEnvironment get()

### schedulerService

    public RuntimeEnvironmentBuilder schedulerService(GlobalSchedulerService globalScheduler)

### classLoader

    public RuntimeEnvironmentBuilder classLoader(ClassLoader cl)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Beta5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.